### Property

# Gio Socket:keepalive

since: 2.22

#### Declaration

    property keepalive: gboolean [ read, write ]

#### Description

Whether to keep the connection alive by sending periodic pings.

Type:`gboolean`

Available since: 2.22

Default value | FALSE
Getter method | `g_socket_get_keepalive()`
Setter method | `g_socket_set_keepalive()`

#### Flags

Readable | yes
Writable | yes
Construct | no
Construct only | no